Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065796 - [Weather Calendar] Weather info source never freed
Summary: [Weather Calendar] Weather info source never freed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8a27000dfb8ab82a17eaa3a6558...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 01:08 UTC by David Delene
Modified: 2014-03-09 04:42 UTC (History)
6 users (show)

Fixed In Version: evolution-data-server-3.10.4-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-19 17:50:01 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-17 01:08 UTC, David Delene
no flags Details
File: cgroup (deleted)
2014-02-17 01:08 UTC, David Delene
no flags Details
File: core_backtrace (deleted)
2014-02-17 01:08 UTC, David Delene
no flags Details
File: dso_list (deleted)
2014-02-17 01:08 UTC, David Delene
no flags Details
File: environ (deleted)
2014-02-17 01:08 UTC, David Delene
no flags Details
File: exploitable (deleted)
2014-02-17 01:08 UTC, David Delene
no flags Details
File: limits (deleted)
2014-02-17 01:08 UTC, David Delene
no flags Details
File: maps (deleted)
2014-02-17 01:08 UTC, David Delene
no flags Details
File: open_fds (deleted)
2014-02-17 01:08 UTC, David Delene
no flags Details
File: proc_pid_status (deleted)
2014-02-17 01:08 UTC, David Delene
no flags Details
File: var_log_messages (deleted)
2014-02-17 01:08 UTC, David Delene
no flags Details

Description David Delene 2014-02-17 01:08:14 UTC
Description of problem:
Don't know what happen to cause the problem but it occurs often.

Version-Release number of selected component:
evolution-data-server-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: strcmp
executable:     /usr/libexec/evolution-calendar-factory
kernel:         3.12.10-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            32535

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strcmp at ../sysdeps/x86_64/strcmp.S:209
 #1 g_str_equal at ghash.c:1706
 #2 gweather_info_get_forecast at weather.c:2204
 #3 create_weather at e-cal-backend-weather.c:396
 #4 finished_retrieval_cb at e-cal-backend-weather.c:191
 #5 _g_closure_invoke_va at gclosure.c:840
 #8 soup_session_process_queue_item at soup-session.c:1873
 #9 async_run_queue at soup-session.c:1911
 #10 idle_run_queue at soup-session.c:1945
 #15 dbus_server_run_server at e-dbus-server.c:222

Comment 1 David Delene 2014-02-17 01:08:18 UTC
Created attachment 863915 [details]
File: backtrace

Comment 2 David Delene 2014-02-17 01:08:19 UTC
Created attachment 863916 [details]
File: cgroup

Comment 3 David Delene 2014-02-17 01:08:21 UTC
Created attachment 863917 [details]
File: core_backtrace

Comment 4 David Delene 2014-02-17 01:08:23 UTC
Created attachment 863918 [details]
File: dso_list

Comment 5 David Delene 2014-02-17 01:08:25 UTC
Created attachment 863919 [details]
File: environ

Comment 6 David Delene 2014-02-17 01:08:27 UTC
Created attachment 863920 [details]
File: exploitable

Comment 7 David Delene 2014-02-17 01:08:28 UTC
Created attachment 863921 [details]
File: limits

Comment 8 David Delene 2014-02-17 01:08:30 UTC
Created attachment 863922 [details]
File: maps

Comment 9 David Delene 2014-02-17 01:08:32 UTC
Created attachment 863923 [details]
File: open_fds

Comment 10 David Delene 2014-02-17 01:08:33 UTC
Created attachment 863924 [details]
File: proc_pid_status

Comment 11 David Delene 2014-02-17 01:08:35 UTC
Created attachment 863925 [details]
File: var_log_messages

Comment 12 Milan Crha 2014-02-17 12:30:53 UTC
Thanks for a bug report. I see in the backtrace that this crashed in a weather calendar, when processing a forecast information.  Could you tell me which location(s) you've filled for the Weather calendar(s), please? I'll use it for testing and as a possible reproducer for the crash.

Comment 13 Johnny Robeson 2014-02-19 02:05:40 UTC
I've got the same issue. My location is Portland, Oregon, USA.

Comment 14 Johnny Robeson 2014-02-19 02:06:26 UTC
i should  be more specific: my selected weather location is Portland, Oregon, USA

Comment 15 Milan Crha 2014-02-19 09:38:19 UTC
Thanks for the hint. I configured Portland/Oregon weather calendars in my evolution (all three airports) and then also Portland/Maine (just in case), and I'll watch whether it'll crash to me too - it didn't yet, but it may depend on the information provided by the server.

Comment 16 Milan Crha 2014-02-19 17:50:01 UTC
I think I've got it. The weather calendar backend never freed the weather information source object, which is responsible for retrieving of weather information and due to this, when the backend was freed while the retrieval was still pending, the finish was called on an already freed object, which could lead to this crash.

I fixed this for 3.11.91 development version of evolution-data-server, thus for 3.12.0 stable version, at:
https://git.gnome.org/browse/evolution-data-server/commit/?id=a06764d

Comment 17 Johnny Robeson 2014-02-19 20:25:22 UTC
that means we won't see the fix until august or later though right?

Comment 18 Matthew Barnes 2014-02-19 21:03:14 UTC
3.12 will be released in March.  I don't know when 3.12 will get into Fedora, though.  Fedora is in a weird transition atm.

Comment 19 Milan Crha 2014-02-20 07:39:17 UTC
You are right, I'll backport the patch to 3.10.4-2.

Comment 20 Fedora Update System 2014-02-20 09:48:52 UTC
evolution-data-server-3.10.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/evolution-data-server-3.10.4-2.fc20

Comment 21 Fedora Update System 2014-03-09 04:42:33 UTC
evolution-data-server-3.10.4-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.